Last Comment Bug 265728 - Synthetic middle-click event can paste
: Synthetic middle-click event can paste
Status: RESOLVED FIXED
: csectype-disclosure, fixed-aviary1.0, fixed1.7.5, sec-moderate
Product: Core
Classification: Components
Component: Editor (show other bugs)
: 1.7 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Joe Francis
: sairuh (rarely reading bugmail)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 00:44 PDT by Jesse Ruderman
Modified: 2013-06-09 18:57 PDT (History)
4 users (show)
asa: blocking‑aviary1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
demo (352 bytes, text/html)
2004-10-23 01:14 PDT, Jesse Ruderman
no flags Details
Fix (1.31 KB, patch)
2004-10-23 23:25 PDT, Johnny Stenback (:jst, jst@mozilla.com)
bryner: review+
bryner: superreview+
asa: approval‑aviary+
Details | Diff | Splinter Review

Description Jesse Ruderman 2004-10-23 00:44:10 PDT
Steps to reproduce on Windows:
1. Go to about:config and middlemouse.paste to true.
2. Copy something to the Windows clipboard.
3. Load the testcase.

Result: the contents of your clipboard are pasted once a second.

On Linux, I imagine this would paste the X primary selection rather than the
contents of the clipboard (without any hidden pref changes).
Comment 1 Jesse Ruderman 2004-10-23 01:14:58 PDT
Created attachment 163116 [details]
demo
Comment 2 Daniel Veditz [:dveditz] 2004-10-23 21:06:55 PDT
Lest people discount this bug due to the first step being "change prefs", Unix
and OS2 versions ship with true already the default value.
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2004-10-23 23:25:43 PDT
Created attachment 163189 [details] [diff] [review]
Fix
Comment 4 Asa Dotzler [:asa] 2004-10-23 23:28:01 PDT
Comment on attachment 163189 [details] [diff] [review]
Fix

a=asa for aviary checkin pending reviews.
Comment 5 Johnny Stenback (:jst, jst@mozilla.com) 2004-10-23 23:34:56 PDT
Fixed on 1.7 and trunk too (a=asa over IRC).
Comment 6 sairuh (rarely reading bugmail) 2004-10-24 15:53:05 PDT
on linux (2004102409-0.9+) this seems to behave itself now.
Comment 7 Daniel Veditz [:dveditz] 2005-01-24 13:43:53 PST
Security Advisories published, clearing confidential flag

Note You need to log in before you can comment on or make changes to this bug.